<?xml version="1.0" encoding="UTF-8"?>
<!-- Edited with XML Spy v2006 -->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template match="catalog">
		<html>
			<body>
				<h2>My CD Collection</h2>
				<ul>
					<xsl:for-each-group select="cd" group-by="country">
						<b>
							<xsl:value-of select="country"/>
						</b>
						<xsl:for-each select="current-group()">
							<p>
								<xsl:apply-templates select="title"/>
								<xsl:apply-templates select="artist"/>
							</p>
						</xsl:for-each>
						<p>CD# = <xsl:value-of select="count(current-group()/title)"/>
						</p>
					</xsl:for-each-group>
				</ul>
			</body>
		</html>
	</xsl:template>
	<xsl:template match="cd">

	</xsl:template>
	<xsl:template match="title">
	  Title: <span style="color:#ff0000">
			<xsl:value-of select="."/>
		</span>
		<br/>
	</xsl:template>
	<xsl:template match="artist">
	  Artist: <span style="color:#00ff00">
			<xsl:value-of select="."/>
		</span>
		<br/>
	</xsl:template>
</xsl:stylesheet>
